Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.nodes
Interface ValueQueryNode<T>

All Superinterfaces:
  QueryNode, Serializable

All Known Subinterfaces:
  FieldValuePairQueryNode<T>

All Known Implementing Classes:
  FieldQueryNode, FuzzyQueryNode, NumericQueryNode, ParametricQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, WildcardQueryNode

    public interface ValueQueryNode<T>

extends QueryNode

This interface should be implemented by a `QueryNode` that holds an arbitrary value.

Method Summary
`T` | `getValue()`
`void` | `setValue(T value)`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, toQueryString, toString, unsetTag, unsetTag`

Method Detail

### setValue

    void setValue(T value)

### getValue

    T getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD